import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusParkingAdConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-24 16:55
 */
interface BusParkingAdConfigCU extends ConditionUtil<BusParkingAdConfigCU> {
    AD_CFG_ID: FieldUtil<BusParkingAdConfigCU>;
    AD_NAME: FieldUtil<BusParkingAdConfigCU>;
    AD_TITLE: FieldUtil<BusParkingAdConfigCU>;
    AD_LINK: FieldUtil<BusParkingAdConfigCU>;
    AD_PIC_URL: FieldUtil<BusParkingAdConfigCU>;
    AD_CODE: FieldUtil<BusParkingAdConfigCU>;
    AD_TYPE: FieldUtil<BusParkingAdConfigCU>;
    AD_PRIORITY: FieldUtil<BusParkingAdConfigCU>;
    AD_POSITION: FieldUtil<BusParkingAdConfigCU>;
    START_TIME: FieldUtil<BusParkingAdConfigCU>;
    END_TIME: FieldUtil<BusParkingAdConfigCU>;
    LINK_MAN: FieldUtil<BusParkingAdConfigCU>;
    LINK_EMAIL: FieldUtil<BusParkingAdConfigCU>;
    LINK_PHONE: FieldUtil<BusParkingAdConfigCU>;
    CLICK_COUNT: FieldUtil<BusParkingAdConfigCU>;
    SEND_COUNT: FieldUtil<BusParkingAdConfigCU>;
    STATUS: FieldUtil<BusParkingAdConfigCU>;
    REMARK: FieldUtil<BusParkingAdConfigCU>;
    RESERVED_FIELD1: FieldUtil<BusParkingAdConfigCU>;
    RESERVED_FIELD2: FieldUtil<BusParkingAdConfigCU>;
    RESERVED_FIELD3: FieldUtil<BusParkingAdConfigCU>;
    RESERVED_FIELD4: FieldUtil<BusParkingAdConfigCU>;
    RESERVED_FIELD5: FieldUtil<BusParkingAdConfigCU>;
    CREATE_TIME: FieldUtil<BusParkingAdConfigCU>;
    UPDATE_TIME: FieldUtil<BusParkingAdConfigCU>;
    USER_GROUP: FieldUtil<BusParkingAdConfigCU>;
    SOURCE: FieldUtil<BusParkingAdConfigCU>;
    PLATFORM: FieldUtil<BusParkingAdConfigCU>;
}
declare class BusParkingAdConfigMU extends TableUtilImpl<BusParkingAdConfigCU, BusParkingAdConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusParkingAdConfigCU;
    static get AD_CFG_ID(): FieldUtil<BusParkingAdConfigCU>;
    static get AD_NAME(): FieldUtil<BusParkingAdConfigCU>;
    static get AD_TITLE(): FieldUtil<BusParkingAdConfigCU>;
    static get AD_LINK(): FieldUtil<BusParkingAdConfigCU>;
    static get AD_PIC_URL(): FieldUtil<BusParkingAdConfigCU>;
    static get AD_CODE(): FieldUtil<BusParkingAdConfigCU>;
    static get AD_TYPE(): FieldUtil<BusParkingAdConfigCU>;
    static get AD_PRIORITY(): FieldUtil<BusParkingAdConfigCU>;
    static get AD_POSITION(): FieldUtil<BusParkingAdConfigCU>;
    static get START_TIME(): FieldUtil<BusParkingAdConfigCU>;
    static get END_TIME(): FieldUtil<BusParkingAdConfigCU>;
    static get LINK_MAN(): FieldUtil<BusParkingAdConfigCU>;
    static get LINK_EMAIL(): FieldUtil<BusParkingAdConfigCU>;
    static get LINK_PHONE(): FieldUtil<BusParkingAdConfigCU>;
    static get CLICK_COUNT(): FieldUtil<BusParkingAdConfigCU>;
    static get SEND_COUNT(): FieldUtil<BusParkingAdConfigCU>;
    static get STATUS(): FieldUtil<BusParkingAdConfigCU>;
    static get REMARK(): FieldUtil<BusParkingAdConfigCU>;
    static get RESERVED_FIELD1(): FieldUtil<BusParkingAdConfigCU>;
    static get RESERVED_FIELD2(): FieldUtil<BusParkingAdConfigCU>;
    static get RESERVED_FIELD3(): FieldUtil<BusParkingAdConfigCU>;
    static get RESERVED_FIELD4(): FieldUtil<BusParkingAdConfigCU>;
    static get RESERVED_FIELD5(): FieldUtil<BusParkingAdConfigCU>;
    static get CREATE_TIME(): FieldUtil<BusParkingAdConfigCU>;
    static get UPDATE_TIME(): FieldUtil<BusParkingAdConfigCU>;
    static get USER_GROUP(): FieldUtil<BusParkingAdConfigCU>;
    static get SOURCE(): FieldUtil<BusParkingAdConfigCU>;
    static get PLATFORM(): FieldUtil<BusParkingAdConfigCU>;
    get AD_CFG_ID(): FieldUtil<BusParkingAdConfigCU>;
    get AD_NAME(): FieldUtil<BusParkingAdConfigCU>;
    get AD_TITLE(): FieldUtil<BusParkingAdConfigCU>;
    get AD_LINK(): FieldUtil<BusParkingAdConfigCU>;
    get AD_PIC_URL(): FieldUtil<BusParkingAdConfigCU>;
    get AD_CODE(): FieldUtil<BusParkingAdConfigCU>;
    get AD_TYPE(): FieldUtil<BusParkingAdConfigCU>;
    get AD_PRIORITY(): FieldUtil<BusParkingAdConfigCU>;
    get AD_POSITION(): FieldUtil<BusParkingAdConfigCU>;
    get START_TIME(): FieldUtil<BusParkingAdConfigCU>;
    get END_TIME(): FieldUtil<BusParkingAdConfigCU>;
    get LINK_MAN(): FieldUtil<BusParkingAdConfigCU>;
    get LINK_EMAIL(): FieldUtil<BusParkingAdConfigCU>;
    get LINK_PHONE(): FieldUtil<BusParkingAdConfigCU>;
    get CLICK_COUNT(): FieldUtil<BusParkingAdConfigCU>;
    get SEND_COUNT(): FieldUtil<BusParkingAdConfigCU>;
    get STATUS(): FieldUtil<BusParkingAdConfigCU>;
    get REMARK(): FieldUtil<BusParkingAdConfigCU>;
    get RESERVED_FIELD1(): FieldUtil<BusParkingAdConfigCU>;
    get RESERVED_FIELD2(): FieldUtil<BusParkingAdConfigCU>;
    get RESERVED_FIELD3(): FieldUtil<BusParkingAdConfigCU>;
    get RESERVED_FIELD4(): FieldUtil<BusParkingAdConfigCU>;
    get RESERVED_FIELD5(): FieldUtil<BusParkingAdConfigCU>;
    get CREATE_TIME(): FieldUtil<BusParkingAdConfigCU>;
    get UPDATE_TIME(): FieldUtil<BusParkingAdConfigCU>;
    get USER_GROUP(): FieldUtil<BusParkingAdConfigCU>;
    get SOURCE(): FieldUtil<BusParkingAdConfigCU>;
    get PLATFORM(): FieldUtil<BusParkingAdConfigCU>;
}
export { BusParkingAdConfigMU, BusParkingAdConfigCU };
